Bug 1363935 - (python-yara) Review Request: python-yara - Python binding for the YARA pattern matching tool
Review Request: python-yara - Python binding for the YARA pattern matching tool
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Antonio Trande
Fedora Extras Quality Assurance
:
Depends On: yara-review
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2016-08-04 00:02 EDT by Michal Ambroz
Modified: 2016-11-15 10:31 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-15 04:03:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
anto.trande: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Michal Ambroz 2016-08-04 00:02:23 EDT
SPEC URL: https://rebus.fedorapeople.org/SPECS/python-yara.spec
SRPM URL: https://rebus.fedorapeople.org/SRPMS/python-yara-3.5.0-rc01.fc23.src.rpm

Python binding for the YARA pattern matching tool.
Description: YARA is a tool aimed at (but not limited to) helping malware researchers to identify and classify malware samples. With YARA you can create descriptions of malware families (or whatever you want to describe) based on textual or binary patterns. Each description, a.k.a rule, consists of a set of strings and a boolean expression which determine its logic.
Fedora Account System Username: rebus

Link to the Koji scratch build - FAILS due to missing dependency to yara-devel
http://koji.fedoraproject.org/koji/taskinfo?taskID=15126373

Link to COPR build:
https://copr.fedorainfracloud.org/coprs/rebus/infosec-rebus/build/438061/

Available also from my COPR repository:
dnf copr enable rebus/infosec-rebus
dnf install yara python-yara
Comment 1 Antonio Trande 2016-08-10 05:55:58 EDT
Why not prepare the SPEC file to build a python34 package for epel7?
Just for example: http://pkgs.fedoraproject.org/cgit/rpms/python-pytg.git/tree/python-pytg.spec
Comment 2 Michal Ambroz 2016-08-11 19:28:53 EDT
Thank you Antonio for valuable hint. I didn't know about the possibility.

Updated package:
SPEC URL: https://rebus.fedorapeople.org/SPECS/python-yara.spec
SRPM URL: https://rebus.fedorapeople.org/SRPMS/python-yara-3.5.0-3.fc23.src.rpm

COPR build: https://copr.fedorainfracloud.org/coprs/rebus/infosec-rebus/build/440678/

Best regards
Michal Ambroz
Comment 3 Antonio Trande 2016-08-12 06:27:20 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- 'ldconfig' calls can be removed.

- Making the check output always positive is not good.
  Please, exclude the failed test only.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in /home/sagitter/1363935
     -python-yara/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-yara , python3-yara , python-yara-debuginfo
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-yara-3.5.0-3.fc26.x86_64.rpm
          python3-yara-3.5.0-3.fc26.x86_64.rpm
          python-yara-debuginfo-3.5.0-3.fc26.x86_64.rpm
          python-yara-3.5.0-3.fc26.src.rpm
4 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (debuginfo)
-------------------
Checking: python-yara-debuginfo-3.5.0-3.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
3 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python-yara-debuginfo (rpmlib, GLIBC filtered):

python3-yara (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython3.5m.so.1.0()(64bit)
    libyara.so.3()(64bit)
    python(abi)
    rtld(GNU_HASH)

python2-yara (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    libyara.so.3()(64bit)
    python(abi)
    rtld(GNU_HASH)



Provides
--------
python-yara-debuginfo:
    python-yara-debuginfo
    python-yara-debuginfo(x86-64)

python3-yara:
    python3-yara
    python3-yara(x86-64)
    python3.5dist(yara-python)

python2-yara:
    python-yara
    python-yara(x86-64)
    python2-yara
    python2-yara(x86-64)
    python2.7dist(yara-python)



Unversioned so-files
--------------------
python2-yara: /usr/lib64/python2.7/site-packages/yara.so
python3-yara: /usr/lib64/python3.5/site-packages/yara.cpython-35m-x86_64-linux-gnu.so

Source checksums
----------------
https://github.com/VirusTotal/yara-python/archive/9fd9fd290872e36360e5e3839c49e21a908bf128/python-yara-3.5.0-9fd9fd2.tar.gz :
  CHECKSUM(SHA256) this package     : 273e9e958a1ea8eafe408a60a4c13948710b37de9e5760d3c038e8168aab9a6a
  CHECKSUM(SHA256) upstream package : 273e9e958a1ea8eafe408a60a4c13948710b37de9e5760d3c038e8168aab9a6a


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1363935
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Michal Ambroz 2016-08-12 08:36:45 EDT
Thank you Antonio.
- ldconfig was omited
- for python3 I changed the spec to count with tests but those 2 known for failing
- those 2 failing are executed but result is ignored - just to be able to see the progress on different platforms


Updated package:
SPEC URL: https://rebus.fedorapeople.org/SPECS/python-yara.spec
SRPM URL: https://rebus.fedorapeople.org/SRPMS/python-yara-3.5.0-4.fc23.src.rpm

COPR build: https://copr.fedorainfracloud.org/coprs/rebus/infosec-rebus/build/440862/

Best regards
Michal Ambroz
Comment 5 Antonio Trande 2016-08-12 10:45:34 EDT
Package approved.
Comment 6 Michal Ambroz 2016-08-13 19:57:57 EDT
Thank you Antonio.
Comment 7 Gwyn Ciesla 2016-08-15 10:55:26 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-yara
Comment 8 Michal Ambroz 2016-11-15 10:31:26 EST
Thank you Fabian.

Note You need to log in before you can comment on or make changes to this bug.